"{ Package: 'stx:goodies/sunit' }"

TestResource subclass:#ExampleTestResource
	instanceVariableNames:'runningState'
	classVariableNames:''
	poolDictionaries:''
	category:'SUnit-Tests'
!


!ExampleTestResource class methodsFor:'testing'!

isAvailable

	^super isAvailable and: [self current isStarted]
! !

!ExampleTestResource methodsFor:'accessing'!

runningState

	^runningState
!

runningState: aSymbol

	runningState := aSymbol
! !

!ExampleTestResource methodsFor:'constants'!

startedStateSymbol

	^#started
!

stoppedStateSymbol

	^#stopped
! !

!ExampleTestResource methodsFor:'running'!

setUp
	
	self runningState: self startedStateSymbol
!

tearDown

	self runningState: self stoppedStateSymbol
! !

!ExampleTestResource methodsFor:'testing'!

isAvailable
	
	^self runningState == self startedStateSymbol
!

isStarted
	
	^self runningState == self startedStateSymbol
!

isStopped
	
	^self runningState == self stoppedStateSymbol
! !

!ExampleTestResource class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/sunit/ExampleTestResource.st,v 1.2 2002-02-26 10:30:30 cg Exp $'
! !
